module.exports = {
  create: {
    requestBody: ["!company", "!engCompany", "brief", "imagearray"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["!company", "!engCompany", "brief", "imagearray"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        company: "company",
        engCompany: "engCompany",
        brief: "brief",
        imagearray: "imagearray",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
