'use strict';

const assert = require('assert');
const _ = require('lodash');
const { ObjectId } = require('mongoose').Types;
const { CrudService } = require('naf-framework-mongoose/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;

class CaseapplyService extends CrudService {
  constructor(ctx) {
    super(ctx, 'caseapply');
    this.model = this.ctx.model.Caseapply;
  }
}

module.exports = CaseapplyService;
