'use strict';

const assert = require('assert');
const _ = require('lodash');
const { ObjectId } = require('mongoose').Types;
const { CrudService } = require('naf-framework-mongoose/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;

class CompanyService extends CrudService {
  constructor(ctx) {
    super(ctx, 'company');
    this.model = this.ctx.model.Company;
    // this.umodel = this.ctx.model.User;
  }
}

module.exports = CompanyService;
