module.exports = {
  create: {
    requestBody: [
      "!company",
      "!engCompany",
      "!brief",
      "!image",
      "!mobile",
      "address",
      "weixin",
      "gzh",
      "weibo",
      "beian",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "!company",
      "!engCompany",
      "!brief",
      "!image",
      "!mobile",
      "address",
      "weixin",
      "gzh",
      "weibo",
      "beian",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        company: "company",
        engCompany: "engCompany",
        brief: "brief",
        image: "image",
        mobile: "mobile",
        address: "address",
        weixin: "weixin",
        gzh: "gzh",
        weibo: "weibo",
        beian: "beian",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
