'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  router.get('/', controller.home.index);

  // 轮播图设置
  router.resources('lunbo', '/api/huanqi/lunbo', controller.lunbo); // index、create、show、destroy

  // 企业信息表设置
  router.resources('company', '/api/huanqi/company', controller.company); // index、create、show、destroy

  // 产品表设置
  router.resources('product', '/api/huanqi/product', controller.product); // index、create、show、destroy

  // 案例应用表设置
  router.resources('caseapply', '/api/huanqi/caseapply', controller.caseapply); // index、create、show、destroy

  // 热点资讯表设置
  router.resources('hotspot', '/api/huanqi/hotspot', controller.hotspot); // index、create、show、destroy

  // 宣传视频表设置
  router.resources('video', '/api/huanqi/video', controller.video); // index、create、show、destroy

  // 友情链接表设置
  router.resources('links', '/api/huanqi/links', controller.links); // index、create、show、destroy

  router.resources('business', '/api/huanqi/business', controller.business); // index、create、show、destroy
};
